#!/usr/bin/perl
#Quick'n'Dirty Automation system. ver 0.2
#Copyright 2003,2004  Robert D. Reite

#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version #2 of the License, or (at your option) any later version.

#This program is distributed in the hope that it will be #useful, but WITHOUT ANY WARRANTY; without even the implied #warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR #PURPOSE.  See the GNU General Public License for more #details.

#You should have received a copy of the GNU General Public #License along with this program; if not, write to the Free #Software Foundation, Inc., 59 Temple Place - Suite 330, #Boston, MA  02111-1307, USA.
print <<"EOM";
Here we configure your basic operation
Each Hour will be the same, you can edit by hand later
Let's begin!  First, we will program the top of hour breaks.
They are either:
"Immediate" (i) which is start break even if you are in the middle of something
or Timed (t), which is start break after the cut in progress has finished.
EOM
print "Enter i or t for top of the hour breaks >"; 
$hrtype =<STDIN>;
chop $hrtype;
print <<"EOM";
Next, we will do the bottom of the hour in a similar manner
EOM
print "Enter i or t for bottom of the hour breaks >";
$halftype =<STDIN>;
chop $halftype;
#Now we create all these files, and put in a legal ID for hour breaks, since
#The fcc says that we have to.
for ($day = 0; $day < 7; $day++) {
	for ($hour = 0; $hour <24; $hour++) {
	$formathour = $hour;
		for ($minute = 0; $minute <60; $minute=$minute+30) {

			if ($minute == 0) {
				$type = $hrtype;
			}
			else {
				$type = $halftype;
			}
			if ($minute == 0) {
				$formatminute = "00";
			}
			else {
				$formatminute = $minute;
			}
			if (length ($formathour) == 1) {
				$formathour = "0"."$formathour";
			}
			$filename = "$day"."$formathour"."$formatminute"."-"."$type".".m3u";
			print "adding $filename\n";
			unless (open (PLAY, ">/home/auto/playlists/$filename")) {
				die "Could not create playlist, giving up!\n";
			}
				print PLAY "#EXTM3U\n";
			if ($minute == 0) {
				print PLAY "#EXTINF:3,legal_id.wav\n";
				print PLAY "/audio/legal_id.wav\n";
			}
			else {
				print PLAY "#EXTINF:3,liner.wav\n";
				print PLAY "/audio/liner.wav\n"
			}
			unless (close (PLAY)) {
				die "Could not close playlist, data may be lost!\n";
			}
		}
	}
}
#add the dummy file at the end
unless (open (PLAY, ">/home/auto/playlists/62400-t.m3u")) {
	die "Could not create playlist, giving up!\n";
}
print "adding 62400-t.m3u\n";
unless (close (PLAY)) {
	die "Could not close playlist, data may be lost!\n";
}
print "done!\n";

exit(0);
################################
#Subroutines
################################
# &gettime
# Gets time in the format DHHMM always 5 places
# Calling values  none
# Return value  $dhrmin

sub gettime {
	$time=time;
	@localtime=localtime($time);
	if (length ($localtime[0]) == 1) {
		$localtime[0] = "0"."$localtime[1]";
	}
	if (length ($localtime[1]) == 1) {
		$localtime[1] = "0"."$localtime[1]";
	}
	if (length ($localtime[2]) == 1) {
		$localtime[2] = "0"."$localtime[2]";
	}
	$dhrmin = "$localtime[6]"."$localtime[2]"."$localtime[1]";
# $localtime[6] is day of the week
print "$dhrmin\n";

}
