#!/usr/bin/perl
#Quick'n'Dirty Automation system. ver 0.2
#Copyright 2003,2004  Robert D. Reite

#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version #2 of the License, or (at your option) any later version.

#This program is distributed in the hope that it will be #useful, but WITHOUT ANY WARRANTY; without even the implied #warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR #PURPOSE.  See the GNU General Public License for more #details.

#You should have received a copy of the GNU General Public #License along with this program; if not, write to the Free #Software Foundation, Inc., 59 Temple Place - Suite 330, #Boston, MA  02111-1307, USA.

#This generates the verification log.
#ver 0.2 added check of last entry, if time is the same, #then don't update it

&getdatetime;
$logname = "$mmddyyyy"."_log.txt";
if (-e "/home/auto/logs/$logname") {
	unless (open (LOG, "/home/auto/logs/$logname")) {
		die "could not open log file for reading\n";
	}
	$test=<LOG>;
	while ($test ne "") {
		$test=<LOG>;
		unless ($test eq "") {
			$lastline = $test;
		}
	}
	@array1 = split (/\t/, $lastline);;
	@array2 = split (/ /, $array1[0]);
	if ($array2[1] eq $hhmmss) {
		exit;
	}
}
$title= $ARGV[0];
unless (open (LOG, ">>/home/auto/logs/$logname")) {
	die "could not open log file for appending\n";
}
print LOG ("$mmddyyyy $hhmmss\t$title\n");
unless (close (LOG)) {
	die "could not close log file, data may be lost\n";
}
sleep(1);
exit(0);
################################
#Subroutines
################################
# &getdatetime
# Gest date in the format dd-mm-yyyy always 8 places plus dashes
# Gets time in the format hh:mm:ss always 6 places plus colons
# Calling values  none
# Return values  $mmddyyyy, $hhmmss

sub getdatetime {
	$time=time;
	@localtime=localtime($time);
	if (length ($localtime[0]) == 1) {
		$localtime[0] = "0"."$localtime[0]";
	}
	if (length ($localtime[1]) == 1) {
		$localtime[1] = "0"."$localtime[1]";
	}
	if (length ($localtime[2]) == 1) {
		$localtime[2] = "0"."$localtime[2]";
	}
	$year = $localtime[5]+1900;
#	if (length ($year) == 1) {
#		$year = "0"."$year";
#	}
	$month = $localtime[4]+1;
	if (length ($month) == 1) {
		$month = "0"."$month";
	}
	$hhmmss = "$localtime[2]".":"."$localtime[1]".":"."$localtime[0]";
	$mmddyyyy = "$month"."-"."$localtime[3]"."-"."$year";
}
# $localtime[6] is day of the week

